Package org.apache.sling.distribution.event

# Interface DistributionEventTopics

@ProviderType public interface DistributionEventTopics
an interface containing a list of the possible topics of events related to distribution

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`AGENT_PACKAGE_CREATED`
Event raised after the successful creation of a content package.
`static final String`
`AGENT_PACKAGE_DISTRIBUTED`
Event raised after successfully distributing a content package from a distribution queue.
`static final String`
`AGENT_PACKAGE_DROPPED`
Event raised when a content package could not be distributed and was removed from a distribution queue.
`static final String`
`AGENT_PACKAGE_QUEUED`
Event raised after successfully storing a content package to the distribution queues.
`static final String`
`EVENT_BASE`
`static final String`
`IMPORTER_PACKAGE_IMPORTED`
Event raised after successfully importing a content package.

## Field Details

### EVENT_BASE

static final String EVENT_BASE

See Also:
  - Constant Field Values

### AGENT_PACKAGE_CREATED

static final String AGENT_PACKAGE_CREATED
Event raised after the successful creation of a content package.

See Also:
  - Constant Field Values

### AGENT_PACKAGE_QUEUED

static final String AGENT_PACKAGE_QUEUED
Event raised after successfully storing a content package to the distribution queues.

See Also:
  - Constant Field Values

### AGENT_PACKAGE_DISTRIBUTED

static final String AGENT_PACKAGE_DISTRIBUTED
Event raised after successfully distributing a content package from a distribution queue.

See Also:
  - Constant Field Values

### AGENT_PACKAGE_DROPPED

static final String AGENT_PACKAGE_DROPPED
Event raised when a content package could not be distributed and was removed from a distribution queue.

See Also:
  - Constant Field Values

### IMPORTER_PACKAGE_IMPORTED

static final String IMPORTER_PACKAGE_IMPORTED
Event raised after successfully importing a content package.

See Also:
  - Constant Field Values